## org.apache.commons.math3.geometry.euclidean.oned
Class SubOrientedPoint

    java.lang.Object
      org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane<Euclidean1D,Euclidean1D>
          org.apache.commons.math3.geometry.euclidean.oned.SubOrientedPoint

All Implemented Interfaces:
  SubHyperplane<Euclidean1D>

    public class SubOrientedPoint

extends AbstractSubHyperplane<Euclidean1D,Euclidean1D>

This class represents sub-hyperplane for `OrientedPoint`.

An hyperplane in 1D is a simple point, its orientation being a boolean.

Instances of this class are guaranteed to be immutable.

Since:
  3.0
Version:
  $Id: SubOrientedPoint.java 1416643 2012-12-03 19:37:14Z tn $

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.commons.math3.geometry.partitioning.SubHyperplane
`SubHyperplane.SplitSubHyperplane<U extends Space>`

Constructor Summary
`SubOrientedPoint(Hyperplane<Euclidean1D> hyperplane, Region<Euclidean1D> remainingRegion)` Simple constructor.

Method Summary
`protected AbstractSubHyperplane<Euclidean1D,Euclidean1D>` `buildNew(Hyperplane<Euclidean1D> hyperplane, Region<Euclidean1D> remainingRegion)` Build a sub-hyperplane from an hyperplane and a region.
`double` `getSize()` Get the size of the instance.
`Side` `side(Hyperplane<Euclidean1D> hyperplane)` Compute the relative position of the instance with respect to an hyperplane.
`SubHyperplane.SplitSubHyperplane<Euclidean1D>` `split(Hyperplane<Euclidean1D> hyperplane)` Split the instance in two parts by an hyperplane.

Methods inherited from class org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane
`applyTransform, copySelf, getHyperplane, getRemainingRegion, isEmpty, reunite`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubOrientedPoint

    public SubOrientedPoint(Hyperplane<Euclidean1D> hyperplane,
                            Region<Euclidean1D> remainingRegion)

  Simple constructor.

  Parameters:
    `hyperplane` - underlying hyperplane
    `remainingRegion` - remaining region of the hyperplane

Method Detail

### getSize

    public double getSize()

  Get the size of the instance.

  Specified by:
    `getSize` in interface `SubHyperplane<Euclidean1D>`
  Overrides:
    `getSize` in class `AbstractSubHyperplane<Euclidean1D,Euclidean1D>`
  Returns:
    the size of the instance (this is a length in 1D, an area in 2D, a volume in 3D ...)

### buildNew

    protected AbstractSubHyperplane<Euclidean1D,Euclidean1D> buildNew(Hyperplane<Euclidean1D> hyperplane,
                                                                      Region<Euclidean1D> remainingRegion)

  Build a sub-hyperplane from an hyperplane and a region.

  Specified by:
    `buildNew` in class `AbstractSubHyperplane<Euclidean1D,Euclidean1D>`
  Parameters:
    `hyperplane` - underlying hyperplane
    `remainingRegion` - remaining region of the hyperplane
  Returns:
    a new sub-hyperplane

### side

    public Side side(Hyperplane<Euclidean1D> hyperplane)

  Compute the relative position of the instance with respect to an hyperplane.

  Specified by:
    `side` in interface `SubHyperplane<Euclidean1D>`
  Specified by:
    `side` in class `AbstractSubHyperplane<Euclidean1D,Euclidean1D>`
  Parameters:
    `hyperplane` - hyperplane to check instance against
  Returns:
    one of `Side.PLUS`, `Side.MINUS`, `Side.BOTH`, `Side.HYPER`

### split

    public SubHyperplane.SplitSubHyperplane<Euclidean1D> split(Hyperplane<Euclidean1D> hyperplane)

  Split the instance in two parts by an hyperplane.

  Specified by:
    `split` in interface `SubHyperplane<Euclidean1D>`
  Specified by:
    `split` in class `AbstractSubHyperplane<Euclidean1D,Euclidean1D>`
  Parameters:
    `hyperplane` - splitting hyperplane
  Returns:
    an object containing both the part of the instance on the plus side of the instance and the part of the instance on the minus side of the instance

Copyright (c) 2003-2013 Apache Software Foundation